Skip to Content
veriom

Request plan upgrade

Ask Veriom to move the workspace to a larger plan through a billing support case.

POST
/v1/workspaces/{workspace_id}/plan/upgrade-request

Ask Veriom to move the workspace to a larger plan through a billing support case.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Header Parameters

Idempotency-Key?|null

Request Body

application/json
  1. body
contact_email?|

Used only when the requester's account has no email.

message?|null
plan*Plan
Value in"starter""growth""enterprise"

Response Body

Successful Response

application/json
  1. response
plan*Plan
Value in"starter""growth""enterprise"
status*Status

Status of the billing support case.

support_case_id*Support Case Id
Formatuuid
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/plan/upgrade-request' \  -H 'Content-Type: application/json' \  -d '{  "plan": "starter"}'
Example Response
{  "plan": "starter",  "status": "string",  "support_case_id": "d06a92a0-9d48-473c-8be9-98d1d5529e07"}